<?php
namespace Incoviba\Model\Venta;

use Incoviba\Common\Ideal;

class Credito extends Ideal\Model
{
    public ?float $valor;
    public Pago $pago;

    public function jsonSerialize(): mixed
    {
        return array_merge(parent::jsonSerialize(), [
            'valor' => $this->valor,
            'pago' => $this->pago
        ]);
    }
}
